<MorpheusModel version="3">
    <Description>
        <Title>Example-ActivatorInhibitor-2D-Domain</Title>
        <Details>Meinhardt-Gierer (activator-inhibitor) model solved in a nonregular domain with constant boundaries.</Details>
    </Description>
    <Global>
        <Field symbol="a" value="rand_norm(0.5,0.1)" name="activator">
            <Diffusion rate="0.02"/>
            <BoundaryValue boundary="domain" value="0.01"/>
        </Field>
        <Field symbol="i" value="0.1" name="inhibitor">
            <Diffusion rate="0.25"/>
            <BoundaryValue boundary="domain" value="0"/>
        </Field>
        <System solver="runge-kutta" time-step="5" name="Meinhardt">
            <Constant symbol="rho" value="0.001"/>
            <Constant symbol="rho_a" value="0.001"/>
            <Constant symbol="mu_i" value="0.02"/>
            <Constant symbol="mu_a" value="0.04"/>
            <Constant symbol="kappa" value="0.10"/>
            <DiffEqn symbol-ref="a">
                <Expression>(rho/i)*((a^2)/(1 + kappa*a^2)) - mu_a * a + rho_a</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="i">
                <Expression>rho*((a^2)/(1+kappa*a^2)) - mu_i *i</Expression>
            </DiffEqn>
        </System>
    </Global>
    <Space>
        <Lattice class="square">
            <Size symbol="size" value="100 100 0"/>
            <NodeLength value="1"/>
            <Domain boundary-type="constant">
                <Image path=":/examples/PDE/domain.tif"/>
            </Domain>
            <Neighborhood>
                <Order>1</Order>
            </Neighborhood>
        </Lattice>
        <SpaceSymbol symbol="space"/>
    </Space>
    <Time>
        <StartTime value="0"/>
        <StopTime value="10000"/>
        <SaveInterval value="0"/>
        <RandomSeed value="2"/>
        <TimeSymbol symbol="time"/>
    </Time>
    <Analysis>
        <Gnuplotter time-step="200" decorate="false">
            <Terminal size="400 400 0" name="png"/>
            <Plot>
                <Field symbol-ref="a" min="0"/>
            </Plot>
        </Gnuplotter>
    </Analysis>
</MorpheusModel>
